# module CertificateRequest::AutoSigner

If auto-signing is on, sign any certificate requests as they are saved.

### Public Instance Methods

save(instance, key = nil) click to toggle source
Calls superclass method

    # File lib/puppet/ssl/certificate_request.rb, line 12
    def save(instance, key = nil)
      super

      # Try to autosign the CSR.
      if ca = Puppet::SSL::CertificateAuthority.instance
        ca.autosign
      end
    end